using System.ComponentModel;

namespace Hotline.Share.Enums.Planlibrary
{
    /// <summary>
    /// 预案状态
    /// </summary>
    public enum EPlanStatus
    {
        /// <summary>
        /// 全部
        /// </summary>
        [Description("全部")]
        All = -1,

        /// <summary>
        /// 待提交
        /// </summary>
        [Description("待提交")]
        Drafts = 0,

        /// <summary>
        /// 审批中
        /// </summary>
        [Description("审批中")]
        Auditing = 1,

        /// <summary>
        /// 失败
        /// </summary>
        [Description("失败")]
        Failed = 2,

        /// <summary>
        /// 已上架
        /// </summary>
        [Description("已上架")]
        OnShelf = 3,

        /// <summary>
        /// 已下架
        /// </summary>
        [Description("已下架")]
        OffShelf = 4,

        /// <summary>
        /// 已驳回
        /// </summary>
        [Description("已驳回")]
        Revert = 5,

        /// <summary>
        /// 已过期
        /// </summary>
        [Description("已过期")]
        Overdue = 6,

        /// <summary>
        /// 草稿
        /// </summary>
        [Description("草稿")]
        NewDrafts = 7
    }
}
